be.fgov.ehealth.standards.kmehr.cd.v1

## Enum CDVACCINEINDICATIONvalues

- java.lang.Object
- - java.lang.Enum<CDVACCINEINDICATIONvalues>
  - - be.fgov.ehealth.standards.kmehr.cd.v1.CDVACCINEINDICATIONvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDVACCINEINDICATIONvalues>

      public enum CDVACCINEINDICATIONvalues
      extends Enum<CDVACCINEINDICATIONvalues>

  Java class for CD-VACCINEINDICATIONvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-VACCINEINDICATIONvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="poliomyelitis"/>
           <enumeration value="measles"/>
           <enumeration value="rubella"/>
           <enumeration value="mumps"/>
           <enumeration value="seasonalinfluenza"/>
           <enumeration value="hepatitisa"/>
           <enumeration value="hepatitisb"/>
           <enumeration value="rabies"/>
           <enumeration value="varicella"/>
           <enumeration value="rotavirus"/>
           <enumeration value="papillomavirus"/>
           <enumeration value="yellowfever"/>
           <enumeration value="tickborneencephalitis"/>
           <enumeration value="ej"/>
           <enumeration value="diphteria"/>
           <enumeration value="tetanus"/>
           <enumeration value="pertussis"/>
           <enumeration value="hib"/>
           <enumeration value="meningitisc"/>
           <enumeration value="meningitis"/>
           <enumeration value="pneumonia23"/>
           <enumeration value="pneumonia7"/>
           <enumeration value="tuberculosis"/>
           <enumeration value="typhoid"/>
           <enumeration value="pandemics"/>
           <enumeration value="herpeszoster"/>
           <enumeration value="varicella"/>
           <enumeration value="cholera"/>
           <enumeration value="covid19"/>
           <enumeration value="meningitisb"/>
           <enumeration value="pneumonia15"/>
           <enumeration value="pneumonia20"/>
           <enumeration value="monkeypox"/>
           <enumeration value="ixchiq"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHOLERA`
    `COVID_19`
    `DIPHTERIA`
    `EJ`
    `HEPATITISA`
    `HEPATITISB`
    `HERPESZOSTER`
    `HIB`
    `IXCHIQ`
    `MEASLES`
    `MENINGITIS`
    `MENINGITISB`
    `MENINGITISC`
    `MONKEYPOX`
    `MUMPS`
    `PANDEMICS`
    `PAPILLOMAVIRUS`
    `PERTUSSIS`
    `PNEUMONIA_15`
    `PNEUMONIA_20`
    `PNEUMONIA_23`
    `PNEUMONIA_7`
    `POLIOMYELITIS`
    `RABIES`
    `ROTAVIRUS`
    `RUBELLA`
    `SEASONALINFLUENZA`
    `TETANUS`
    `TICKBORNEENCEPHALITIS`
    `TUBERCULOSIS`
    `TYPHOID`
    `VARICELLA`
    `YELLOWFEVER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDVACCINEINDICATIONvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDVACCINEINDICATIONvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDVACCINEINDICATIONvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POLIOMYELITIS

          public static final CDVACCINEINDICATIONvalues POLIOMYELITIS

    - #### MEASLES

          public static final CDVACCINEINDICATIONvalues MEASLES

    - #### RUBELLA

          public static final CDVACCINEINDICATIONvalues RUBELLA

    - #### MUMPS

          public static final CDVACCINEINDICATIONvalues MUMPS

    - #### SEASONALINFLUENZA

          public static final CDVACCINEINDICATIONvalues SEASONALINFLUENZA

    - #### HEPATITISA

          public static final CDVACCINEINDICATIONvalues HEPATITISA

    - #### HEPATITISB

          public static final CDVACCINEINDICATIONvalues HEPATITISB

    - #### RABIES

          public static final CDVACCINEINDICATIONvalues RABIES

    - #### VARICELLA

          public static final CDVACCINEINDICATIONvalues VARICELLA

    - #### ROTAVIRUS

          public static final CDVACCINEINDICATIONvalues ROTAVIRUS

    - #### PAPILLOMAVIRUS

          public static final CDVACCINEINDICATIONvalues PAPILLOMAVIRUS

    - #### YELLOWFEVER

          public static final CDVACCINEINDICATIONvalues YELLOWFEVER

    - #### TICKBORNEENCEPHALITIS

          public static final CDVACCINEINDICATIONvalues TICKBORNEENCEPHALITIS

    - #### EJ

          public static final CDVACCINEINDICATIONvalues EJ

    - #### DIPHTERIA

          public static final CDVACCINEINDICATIONvalues DIPHTERIA

    - #### TETANUS

          public static final CDVACCINEINDICATIONvalues TETANUS

    - #### PERTUSSIS

          public static final CDVACCINEINDICATIONvalues PERTUSSIS

    - #### HIB

          public static final CDVACCINEINDICATIONvalues HIB

    - #### MENINGITISC

          public static final CDVACCINEINDICATIONvalues MENINGITISC

    - #### MENINGITIS

          public static final CDVACCINEINDICATIONvalues MENINGITIS

    - #### PNEUMONIA_23

          public static final CDVACCINEINDICATIONvalues PNEUMONIA_23

    - #### PNEUMONIA_7

          public static final CDVACCINEINDICATIONvalues PNEUMONIA_7

    - #### TUBERCULOSIS

          public static final CDVACCINEINDICATIONvalues TUBERCULOSIS

    - #### TYPHOID

          public static final CDVACCINEINDICATIONvalues TYPHOID

    - #### PANDEMICS

          public static final CDVACCINEINDICATIONvalues PANDEMICS

    - #### HERPESZOSTER

          public static final CDVACCINEINDICATIONvalues HERPESZOSTER

    - #### CHOLERA

          public static final CDVACCINEINDICATIONvalues CHOLERA

    - #### COVID_19

          public static final CDVACCINEINDICATIONvalues COVID_19

    - #### MENINGITISB

          public static final CDVACCINEINDICATIONvalues MENINGITISB

    - #### PNEUMONIA_15

          public static final CDVACCINEINDICATIONvalues PNEUMONIA_15

    - #### PNEUMONIA_20

          public static final CDVACCINEINDICATIONvalues PNEUMONIA_20

    - #### MONKEYPOX

          public static final CDVACCINEINDICATIONvalues MONKEYPOX

    - #### IXCHIQ

          public static final CDVACCINEINDICATIONvalues IXCHIQ

  - ### Method Detail

    - #### values

          public static CDVACCINEINDICATIONvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDVACCINEINDICATIONvalues c : CDVACCINEINDICATIONvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDVACCINEINDICATIONvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDVACCINEINDICATIONvalues fromValue(String v)

Connector Packaging generic 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.